Search for entity

  1. Search 7.x for entity
  2. Search 9.5.x for entity
  3. Search 8.9.x for entity
  4. Search 10.3.x for entity
  5. Search main for entity
  6. Other projects

Exact matches

These are exact matches according to your search
Title Object type File name Summary
Entity class core/modules/views/src/Plugin/views/argument_validator/Entity.php Defines an argument validator plugin for each entity type.
Entity class core/modules/views/src/Plugin/views/area/Entity.php Provides an area handler which renders an entity in a certain view mode.
Entity class core/modules/migrate/src/Plugin/migrate/destination/Entity.php Provides a generic destination to import entities.
Entity class core/tests/Drupal/Tests/Component/Annotation/Doctrine/Ticket/DCOM58Test.php
Entity class core/tests/Drupal/Tests/Component/Annotation/Doctrine/Ticket/DCOM58Entity.php This class is a near-copy of tests/Doctrine/Tests/Common/Annotations/Ticket/DCOM58Entity.php, which is part of the Doctrine project: <http://www.doctrine-project.org>. It was copied from version 1.2.7.

All search results

Title Object type File name Summary
EntityResource::getPagerQueries function core/modules/jsonapi/src/Controller/EntityResource.php Get the query param array.
EntityResource::getRelated function core/modules/jsonapi/src/Controller/EntityResource.php Gets the related resource.
EntityResource::getRelationship function core/modules/jsonapi/src/Controller/EntityResource.php Gets the relationship of an entity.
EntityResource::getRequestLink function core/modules/jsonapi/src/Controller/EntityResource.php Get the full URL for a given request object.
EntityResource::isConfigEntityResource function core/modules/rest/src/Plugin/rest/resource/EntityResource.php Checks if this resource is for a Config Entity.
EntityResource::loadEntitiesWithAccess function core/modules/jsonapi/src/Controller/EntityResource.php Build a collection of the entities to respond with and access objects.
EntityResource::patch function core/modules/rest/src/Plugin/rest/resource/EntityResource.php Responds to entity PATCH requests.
EntityResource::patchIndividual function core/modules/jsonapi/src/Controller/EntityResource.php Patches an individual entity.
EntityResource::permissions function core/modules/rest/src/Plugin/rest/resource/EntityResource.php Implements ResourceInterface::permissions().
EntityResource::post function core/modules/rest/src/Plugin/rest/resource/EntityResource.php Responds to entity POST requests and saves the new entity.
EntityResource::relationshipResponseRequiresBody function core/modules/jsonapi/src/Controller/EntityResource.php Determines if the client needs to be updated with new relationship data.
EntityResource::removeFromRelationshipData function core/modules/jsonapi/src/Controller/EntityResource.php Deletes the relationship of an entity.
EntityResource::replaceRelationshipData function core/modules/jsonapi/src/Controller/EntityResource.php Updates the relationship of an entity.
EntityResource::respondWithCollection function core/modules/jsonapi/src/Controller/EntityResource.php Respond with an entity collection.
EntityResource::updateEntityField function core/modules/jsonapi/src/Controller/EntityResource.php Takes a field from the origin entity and puts it to the destination entity.
EntityResource::__construct function core/modules/jsonapi/src/Controller/EntityResource.php Instantiates an EntityResource object.
EntityResource::__construct function core/modules/rest/src/Plugin/rest/resource/EntityResource.php Constructs a Drupal\rest\Plugin\rest\resource\EntityResource object.
EntityResourceAccessTrait trait core/modules/rest/src/Plugin/rest/resource/EntityResourceAccessTrait.php @internal
@todo Consider making public in https://www.drupal.org/node/2300677
EntityResourceAccessTrait.php file core/modules/rest/src/Plugin/rest/resource/EntityResourceAccessTrait.php
EntityResourceAccessTrait::checkEditFieldAccess function core/modules/rest/src/Plugin/rest/resource/EntityResourceAccessTrait.php Performs edit access checks for fields.
EntityResourcePostRouteSubscriber class core/modules/rest/src/EventSubscriber/EntityResourcePostRouteSubscriber.php Generates a &#039;create&#039; route for an entity type if it has a REST POST route.
EntityResourcePostRouteSubscriber.php file core/modules/rest/src/EventSubscriber/EntityResourcePostRouteSubscriber.php
EntityResourcePostRouteSubscriber::$resourceConfigStorage property core/modules/rest/src/EventSubscriber/EntityResourcePostRouteSubscriber.php The REST resource config storage.
EntityResourcePostRouteSubscriber::getSubscribedEvents function core/modules/rest/src/EventSubscriber/EntityResourcePostRouteSubscriber.php
EntityResourcePostRouteSubscriber::onDynamicRouteEvent function core/modules/rest/src/EventSubscriber/EntityResourcePostRouteSubscriber.php Provides routes on route rebuild time.
EntityResourcePostRouteSubscriber::__construct function core/modules/rest/src/EventSubscriber/EntityResourcePostRouteSubscriber.php Constructs a new EntityResourcePostRouteSubscriber instance.
EntityResourceRestTestCoverageTest class core/modules/rest/tests/src/Kernel/EntityResource/EntityResourceRestTestCoverageTest.php Checks that all core content/config entity types have REST test coverage.
EntityResourceRestTestCoverageTest.php file core/modules/rest/tests/src/Kernel/EntityResource/EntityResourceRestTestCoverageTest.php
EntityResourceRestTestCoverageTest::$definitions property core/modules/rest/tests/src/Kernel/EntityResource/EntityResourceRestTestCoverageTest.php Entity definitions array.
EntityResourceRestTestCoverageTest::$modules property core/modules/rest/tests/src/Kernel/EntityResource/EntityResourceRestTestCoverageTest.php Modules to install.
EntityResourceRestTestCoverageTest::setUp function core/modules/rest/tests/src/Kernel/EntityResource/EntityResourceRestTestCoverageTest.php
EntityResourceRestTestCoverageTest::testEntityTypeRestTestCoverage function core/modules/rest/tests/src/Kernel/EntityResource/EntityResourceRestTestCoverageTest.php Tests that all core content/config entity types have REST test coverage.
EntityResourceTest class core/modules/jsonapi/tests/src/Kernel/Controller/EntityResourceTest.php Tests Drupal\jsonapi\Controller\EntityResource.
EntityResourceTest.php file core/modules/jsonapi/tests/src/Kernel/Controller/EntityResourceTest.php
EntityResourceTest::$entityResource property core/modules/jsonapi/tests/src/Kernel/Controller/EntityResourceTest.php The EntityResource under test.
EntityResourceTest::$modules property core/modules/jsonapi/tests/src/Kernel/Controller/EntityResourceTest.php Modules to install.
EntityResourceTest::$node property core/modules/jsonapi/tests/src/Kernel/Controller/EntityResourceTest.php The node.
EntityResourceTest::$node2 property core/modules/jsonapi/tests/src/Kernel/Controller/EntityResourceTest.php The other node.
EntityResourceTest::$node3 property core/modules/jsonapi/tests/src/Kernel/Controller/EntityResourceTest.php An unpublished node.
EntityResourceTest::$node4 property core/modules/jsonapi/tests/src/Kernel/Controller/EntityResourceTest.php A node with related nodes.
EntityResourceTest::$nodeUuid property core/modules/jsonapi/tests/src/Kernel/Controller/EntityResourceTest.php Static UUIDs to use in testing.
EntityResourceTest::$request property core/modules/jsonapi/tests/src/Kernel/Controller/EntityResourceTest.php A fake request.
EntityResourceTest::$user property core/modules/jsonapi/tests/src/Kernel/Controller/EntityResourceTest.php The user.
EntityResourceTest::createEntityResource function core/modules/jsonapi/tests/src/Kernel/Controller/EntityResourceTest.php Creates an instance of the subject under test.
EntityResourceTest::setUp function core/modules/jsonapi/tests/src/Kernel/Controller/EntityResourceTest.php
EntityResourceTest::testGetEmptyCollection function core/modules/jsonapi/tests/src/Kernel/Controller/EntityResourceTest.php Tests get empty collection.
EntityResourceTest::testGetPagedCollection function core/modules/jsonapi/tests/src/Kernel/Controller/EntityResourceTest.php Tests get paged collection.
EntityResourceTestBase class core/modules/rest/tests/src/Functional/EntityResource/EntityResourceTestBase.php Defines a base class for testing all entity resources.
EntityResourceTestBase.php file core/modules/rest/tests/src/Functional/EntityResource/EntityResourceTestBase.php
EntityResourceTestBase::$anotherEntity property core/modules/rest/tests/src/Functional/EntityResource/EntityResourceTestBase.php Another entity of the same type used for testing.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.